﻿@model eCommerce.UI.Models.ForgotPasswordViewModel
@{
    ViewBag.Title = "¿Olvidó su contraseña?";
}

<link rel="stylesheet" href="@Url.Content("~/content/assets/vendor/toastr/toastr.css")" />

<div class="login-content">
    <div class="__login-column-centered">
        <section class="__register-card">
            <h2 class="__title">¿Olvidó su contraseña?</h2>

            @using (Html.BeginForm("ForgotPassword", "Account", FormMethod.Post, new { @class = "login-form", @autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                <div class="__field-row">
                    <label>Email</label>
                    <input type="email" name="Email" class="__form-input" required>
                </div>
                    
                <div>
                    <button type="submit" class="button">Restablecer</button>
                </div>

                <div class="__field-row">
                    @Html.ValidationSummary("", new { @class = "text-danger" })
                </div>
            }
        </section>
    </div>
</div>




@section scripts{
    <script src="@Url.Content("~/Content/assets/vendor/toastr/toastr.js")"></script>
    <script src="@Url.Content("~/Content/assets/js/components/toastr.js")"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            var error = "@TempData["errorForgot"]";
            if (error != null && error != "") {
                toastr.warning(error);
            }
        });
    </script>

    <script type="text/javascript" src="~/Scripts/Compra/Pago.js"></script>


    @Scripts.Render("~/bundles/jqueryval")
}
